#!/bin/sh

##################################################################
#
# Configuration of Trilinos for use with Sundance
#
##################################################################


BUILD_DIR=`pwd`

../configure CXXFLAGS="-O3 -finline-functions -funroll-loops -Wall" \
--with-libs="-lexpat" \
--disable-default-packages \
--enable-teuchos --enable-teuchos-extended \
--enable-teuchos-complex --enable-teuchos-expat \
--enable-thyra \
--disable-thyra-tests \
--disable-thyra-examples \
--disable-aztecoo-thyra \
--disable-epetra-thyra \
--enable-epetra \
--enable-epetraext \
--enable-ml \
--disable-ml-examples \
--enable-aztecoo \
--enable-ifpack \
--enable-nox \
--disable-loca \
--with-gnumake \
--with-install="/usr/bin/install -c -p" \
--prefix=$BUILD_DIR


